Page MenuHomePhabricator

Create a glossary about Notifications
Closed, ResolvedPublic

Description

Notifications have a rich vocabulary that should be defined to facilitate the use of that tool, documentation translation or just to have a common definition for people who are working in this area.

See draft for details.

Event Timeline

Some of these are really terminology in other extensions (e.g. 'description' (Flow), 'volunteer' (Education Program)). To avoid maintaining two definitions for the same things, perhaps they could link to glossaries elsewhere.

I've started a draft. Be bold if you want to add items or definitions!

Trizek-WMF moved this task from Backlog to About MediaWiki extensions on the Documentation board.
Trizek-WMF updated the task description. (Show Details)Jul 29 2016, 12:51 PM
Trizek-WMF updated the task description. (Show Details)Jul 29 2016, 1:03 PM

I've added some new items, change some other ones and removed some elements from that list, which will be more accurate on Notifications types list.

@jmatazzoni, what are "tags"?

Trizek-WMF updated the task description. (Show Details)Jul 29 2016, 1:10 PM

Benoit asks:

@jmatazzoni, what are "tags"?

I don't know whether it's necessary to include tags or not. I'm still not 100% clear who the audience for these glossaries are. The list of words I sent was made in part by looking over the big Notifications Spreadsheet and pulling out all the words I thought some people might not understand. So that refers to the messages one gets from pagetriage-add-maintenance-tag. E.g.:

A reviewer suggested improvements to the page Moai. Tags: prod, afd, linkrot, speedy deletion-vandalism.

Adding "Bundled notification" to the list.

Also added "Expandable bundle."

A reviewer suggested improvements to the page Moai. Tags: prod, afd, linkrot, speedy deletion-vandalism.

In that context, they are templates, e.g. https://en.wikipedia.org/wiki/Template:Prod . In other contexts, it means other things; see https://www.mediawiki.org/wiki/Tags .

I don't know whether it's necessary to include tags or not. I'm still not 100% clear who the audience for these glossaries are. The list of words I sent was made in part by looking over the big Notifications Spreadsheet and pulling out all the words I thought some people might not understand. So that refers to the messages one gets from pagetriage-add-maintenance-tag. E.g.:

A reviewer suggested improvements to the page Moai. Tags: prod, afd, linkrot, speedy deletion-vandalism.

That's a PageTriage-specific term, not a Notifications-specific term. Because Notifications is a platform that's used by other things, you'll encounter jargon from all sorts of areas (like "board" from Flow for example) in notifications from those things.

Trizek-WMF updated the task description. (Show Details)Aug 1 2016, 8:19 AM
Trizek-WMF updated the task description. (Show Details)Aug 26 2016, 3:32 PM
Trizek-WMF closed this task as Resolved.Sep 28 2016, 4:58 PM

That glossary was left as a draft too long. I've updated it and marked it for translation.

I consider that task as done, based on the fact that a page exists ans any update can be done by anyone (it's a wiki!).

Qgil awarded a token.Sep 28 2016, 5:13 PM